org.jbpm.services.task.audit.jms

## Class AsyncTaskLifeCycleEventProducer

- java.lang.Object
- - org.jbpm.services.task.persistence.PersistableEventListener
  - - org.jbpm.services.task.audit.jms.AsyncTaskLifeCycleEventProducer

- All Implemented Interfaces:
    EventListener, org.kie.api.task.TaskLifeCycleEventListener

      public class AsyncTaskLifeCycleEventProducer
      extends PersistableEventListener
      implements TaskLifeCycleEventListener

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.kie.api.task.TaskLifeCycleEventListener

      `org.kie.api.task.TaskLifeCycleEventListener.AssignmentType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsyncTaskLifeCycleEventProducer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterTaskActivatedEvent(org.kie.api.task.TaskEvent event)`
    `void` | `afterTaskAddedEvent(org.kie.api.task.TaskEvent event)`
    `void` | `afterTaskAssignmentsAddedEvent(org.kie.api.task.TaskEvent event, org.kie.api.task.TaskLifeCycleEventListener.AssignmentType type, List<org.kie.api.task.model.OrganizationalEntity> entities)`
    `void` | `afterTaskAssignmentsRemovedEvent(org.kie.api.task.TaskEvent event, org.kie.api.task.TaskLifeCycleEventListener.AssignmentType type, List<org.kie.api.task.model.OrganizationalEntity> entities)`
    `void` | `afterTaskClaimedEvent(org.kie.api.task.TaskEvent event)`
    `void` | `afterTaskCompletedEvent(org.kie.api.task.TaskEvent event)`
    `void` | `afterTaskDelegatedEvent(org.kie.api.task.TaskEvent event)`
    `void` | `afterTaskExitedEvent(org.kie.api.task.TaskEvent event)`
    `void` | `afterTaskFailedEvent(org.kie.api.task.TaskEvent event)`
    `void` | `afterTaskForwardedEvent(org.kie.api.task.TaskEvent event)`
    `void` | `afterTaskInputVariableChangedEvent(org.kie.api.task.TaskEvent event, Map<String,Object> variables)`
    `void` | `afterTaskNominatedEvent(org.kie.api.task.TaskEvent event)`
    `void` | `afterTaskNotificationEvent(org.kie.api.task.TaskEvent event)`
    `void` | `afterTaskOutputVariableChangedEvent(org.kie.api.task.TaskEvent event, Map<String,Object> variables)`
    `void` | `afterTaskReassignedEvent(org.kie.api.task.TaskEvent event)`
    `void` | `afterTaskReleasedEvent(org.kie.api.task.TaskEvent event)`
    `void` | `afterTaskResumedEvent(org.kie.api.task.TaskEvent event)`
    `void` | `afterTaskSkippedEvent(org.kie.api.task.TaskEvent event)`
    `void` | `afterTaskStartedEvent(org.kie.api.task.TaskEvent event)`
    `void` | `afterTaskStoppedEvent(org.kie.api.task.TaskEvent event)`
    `void` | `afterTaskSuspendedEvent(org.kie.api.task.TaskEvent event)`
    `void` | `afterTaskUpdatedEvent(org.kie.api.task.TaskEvent event)`
    `protected void` | `assignmentsUpdated(org.kie.api.task.TaskEvent event, org.kie.api.task.TaskLifeCycleEventListener.AssignmentType type, List<org.kie.api.task.model.OrganizationalEntity> entities, String messageSufix)`
    `void` | `beforeTaskActivatedEvent(org.kie.api.task.TaskEvent event)`
    `void` | `beforeTaskAddedEvent(org.kie.api.task.TaskEvent event)`
    `void` | `beforeTaskClaimedEvent(org.kie.api.task.TaskEvent event)`
    `void` | `beforeTaskCompletedEvent(org.kie.api.task.TaskEvent event)`
    `void` | `beforeTaskDelegatedEvent(org.kie.api.task.TaskEvent event)`
    `void` | `beforeTaskExitedEvent(org.kie.api.task.TaskEvent event)`
    `void` | `beforeTaskFailedEvent(org.kie.api.task.TaskEvent event)`
    `void` | `beforeTaskForwardedEvent(org.kie.api.task.TaskEvent event)`
    `void` | `beforeTaskNominatedEvent(org.kie.api.task.TaskEvent event)`
    `void` | `beforeTaskNotificationEvent(org.kie.api.task.TaskEvent event)`
    `void` | `beforeTaskReassignedEvent(org.kie.api.task.TaskEvent event)`
    `void` | `beforeTaskReleasedEvent(org.kie.api.task.TaskEvent event)`
    `void` | `beforeTaskResumedEvent(org.kie.api.task.TaskEvent event)`
    `void` | `beforeTaskSkippedEvent(org.kie.api.task.TaskEvent event)`
    `void` | `beforeTaskStartedEvent(org.kie.api.task.TaskEvent event)`
    `void` | `beforeTaskStoppedEvent(org.kie.api.task.TaskEvent event)`
    `void` | `beforeTaskSuspendedEvent(org.kie.api.task.TaskEvent event)`
    `void` | `beforeTaskUpdatedEvent(org.kie.api.task.TaskEvent event)`
    `protected AuditTaskImpl` | `createAuditTask(org.kie.api.task.model.Task ti, Date date)`
    `boolean` | `equals(Object obj)`
    `protected String` | `getActualOwner(org.kie.api.task.model.Task ti)`
    `protected AuditTaskImpl` | `getAuditTask(org.kie.internal.task.api.TaskPersistenceContext persistenceContext, org.kie.api.task.model.Task ti)`
    `javax.jms.ConnectionFactory` | `getConnectionFactory()`
    `javax.jms.Queue` | `getQueue()`
    `protected String` | `getUpdateFieldLog(String fieldName, String previousValue, String value)`
    `int` | `hashCode()`
    `protected List<TaskVariableImpl>` | `indexVariables(org.kie.api.task.model.Task task, Map<String,Object> variables, org.kie.internal.task.api.TaskVariable.VariableType type)`
    `boolean` | `isTransacted()`
    `protected void` | `sendMessage(AuditTaskData auditTaskData, int priority)`
    `void` | `setConnectionFactory(javax.jms.ConnectionFactory connectionFactory)`
    `void` | `setQueue(javax.jms.Queue queue)`
    `void` | `setTransacted(boolean transacted)`

    - ### Methods inherited from class org.jbpm.services.task.persistence.PersistableEventListener

      `cleanup, getPersistenceContext`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.task.TaskLifeCycleEventListener

      `beforeTaskAssignmentsAddedEvent, beforeTaskAssignmentsRemovedEvent, beforeTaskInputVariableChangedEvent, beforeTaskOutputVariableChangedEvent`

- - ### Constructor Detail

    - #### AsyncTaskLifeCycleEventProducer

          public AsyncTaskLifeCycleEventProducer()

  - ### Method Detail

    - #### getConnectionFactory

          public javax.jms.ConnectionFactory getConnectionFactory()

    - #### setConnectionFactory

          public void setConnectionFactory(javax.jms.ConnectionFactory connectionFactory)

    - #### getQueue

          public javax.jms.Queue getQueue()

    - #### setQueue

          public void setQueue(javax.jms.Queue queue)

    - #### isTransacted

          public boolean isTransacted()

    - #### setTransacted

          public void setTransacted(boolean transacted)

    - #### afterTaskStartedEvent

          public void afterTaskStartedEvent(org.kie.api.task.TaskEvent event)

      Specified by:
        `afterTaskStartedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### afterTaskActivatedEvent

          public void afterTaskActivatedEvent(org.kie.api.task.TaskEvent event)

      Specified by:
        `afterTaskActivatedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### afterTaskClaimedEvent

          public void afterTaskClaimedEvent(org.kie.api.task.TaskEvent event)

      Specified by:
        `afterTaskClaimedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### afterTaskSkippedEvent

          public void afterTaskSkippedEvent(org.kie.api.task.TaskEvent event)

      Specified by:
        `afterTaskSkippedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### afterTaskStoppedEvent

          public void afterTaskStoppedEvent(org.kie.api.task.TaskEvent event)

      Specified by:
        `afterTaskStoppedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### afterTaskCompletedEvent

          public void afterTaskCompletedEvent(org.kie.api.task.TaskEvent event)

      Specified by:
        `afterTaskCompletedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### afterTaskFailedEvent

          public void afterTaskFailedEvent(org.kie.api.task.TaskEvent event)

      Specified by:
        `afterTaskFailedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### afterTaskAddedEvent

          public void afterTaskAddedEvent(org.kie.api.task.TaskEvent event)

      Specified by:
        `afterTaskAddedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### afterTaskExitedEvent

          public void afterTaskExitedEvent(org.kie.api.task.TaskEvent event)

      Specified by:
        `afterTaskExitedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### afterTaskReleasedEvent

          public void afterTaskReleasedEvent(org.kie.api.task.TaskEvent event)

      Specified by:
        `afterTaskReleasedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### afterTaskResumedEvent

          public void afterTaskResumedEvent(org.kie.api.task.TaskEvent event)

      Specified by:
        `afterTaskResumedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### afterTaskSuspendedEvent

          public void afterTaskSuspendedEvent(org.kie.api.task.TaskEvent event)

      Specified by:
        `afterTaskSuspendedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### afterTaskForwardedEvent

          public void afterTaskForwardedEvent(org.kie.api.task.TaskEvent event)

      Specified by:
        `afterTaskForwardedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### afterTaskDelegatedEvent

          public void afterTaskDelegatedEvent(org.kie.api.task.TaskEvent event)

      Specified by:
        `afterTaskDelegatedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### afterTaskNominatedEvent

          public void afterTaskNominatedEvent(org.kie.api.task.TaskEvent event)

      Specified by:
        `afterTaskNominatedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### beforeTaskReleasedEvent

          public void beforeTaskReleasedEvent(org.kie.api.task.TaskEvent event)

      Specified by:
        `beforeTaskReleasedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### afterTaskUpdatedEvent

          public void afterTaskUpdatedEvent(org.kie.api.task.TaskEvent event)

      Specified by:
        `afterTaskUpdatedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### afterTaskReassignedEvent

          public void afterTaskReassignedEvent(org.kie.api.task.TaskEvent event)

      Specified by:
        `afterTaskReassignedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### afterTaskOutputVariableChangedEvent

          public void afterTaskOutputVariableChangedEvent(org.kie.api.task.TaskEvent event,
                                                          Map<String,Object> variables)

      Specified by:
        `afterTaskOutputVariableChangedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### afterTaskInputVariableChangedEvent

          public void afterTaskInputVariableChangedEvent(org.kie.api.task.TaskEvent event,
                                                         Map<String,Object> variables)

      Specified by:
        `afterTaskInputVariableChangedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### indexVariables

          protected List<TaskVariableImpl> indexVariables(org.kie.api.task.model.Task task,
                                                          Map<String,Object> variables,
                                                          org.kie.internal.task.api.TaskVariable.VariableType type)

    - #### afterTaskAssignmentsAddedEvent

          public void afterTaskAssignmentsAddedEvent(org.kie.api.task.TaskEvent event,
                                                     org.kie.api.task.TaskLifeCycleEventListener.AssignmentType type,
                                                     List<org.kie.api.task.model.OrganizationalEntity> entities)

      Specified by:
        `afterTaskAssignmentsAddedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### afterTaskAssignmentsRemovedEvent

          public void afterTaskAssignmentsRemovedEvent(org.kie.api.task.TaskEvent event,
                                                       org.kie.api.task.TaskLifeCycleEventListener.AssignmentType type,
                                                       List<org.kie.api.task.model.OrganizationalEntity> entities)

      Specified by:
        `afterTaskAssignmentsRemovedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### assignmentsUpdated

          protected void assignmentsUpdated(org.kie.api.task.TaskEvent event,
                                            org.kie.api.task.TaskLifeCycleEventListener.AssignmentType type,
                                            List<org.kie.api.task.model.OrganizationalEntity> entities,
                                            String messageSufix)

    - #### getUpdateFieldLog

          protected String getUpdateFieldLog(String fieldName,
                                             String previousValue,
                                             String value)

    - #### getActualOwner

          protected String getActualOwner(org.kie.api.task.model.Task ti)

    - #### createAuditTask

          protected AuditTaskImpl createAuditTask(org.kie.api.task.model.Task ti,
                                                  Date date)

    - #### sendMessage

          protected void sendMessage(AuditTaskData auditTaskData,
                                     int priority)

    - #### getAuditTask

          protected AuditTaskImpl getAuditTask(org.kie.internal.task.api.TaskPersistenceContext persistenceContext,
                                               org.kie.api.task.model.Task ti)

    - #### beforeTaskActivatedEvent

          public void beforeTaskActivatedEvent(org.kie.api.task.TaskEvent event)

      Specified by:
        `beforeTaskActivatedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### beforeTaskClaimedEvent

          public void beforeTaskClaimedEvent(org.kie.api.task.TaskEvent event)

      Specified by:
        `beforeTaskClaimedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### beforeTaskSkippedEvent

          public void beforeTaskSkippedEvent(org.kie.api.task.TaskEvent event)

      Specified by:
        `beforeTaskSkippedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### beforeTaskStartedEvent

          public void beforeTaskStartedEvent(org.kie.api.task.TaskEvent event)

      Specified by:
        `beforeTaskStartedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### beforeTaskStoppedEvent

          public void beforeTaskStoppedEvent(org.kie.api.task.TaskEvent event)

      Specified by:
        `beforeTaskStoppedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### beforeTaskCompletedEvent

          public void beforeTaskCompletedEvent(org.kie.api.task.TaskEvent event)

      Specified by:
        `beforeTaskCompletedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### beforeTaskFailedEvent

          public void beforeTaskFailedEvent(org.kie.api.task.TaskEvent event)

      Specified by:
        `beforeTaskFailedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### beforeTaskAddedEvent

          public void beforeTaskAddedEvent(org.kie.api.task.TaskEvent event)

      Specified by:
        `beforeTaskAddedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### beforeTaskExitedEvent

          public void beforeTaskExitedEvent(org.kie.api.task.TaskEvent event)

      Specified by:
        `beforeTaskExitedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### beforeTaskResumedEvent

          public void beforeTaskResumedEvent(org.kie.api.task.TaskEvent event)

      Specified by:
        `beforeTaskResumedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### beforeTaskSuspendedEvent

          public void beforeTaskSuspendedEvent(org.kie.api.task.TaskEvent event)

      Specified by:
        `beforeTaskSuspendedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### beforeTaskForwardedEvent

          public void beforeTaskForwardedEvent(org.kie.api.task.TaskEvent event)

      Specified by:
        `beforeTaskForwardedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### beforeTaskDelegatedEvent

          public void beforeTaskDelegatedEvent(org.kie.api.task.TaskEvent event)

      Specified by:
        `beforeTaskDelegatedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### beforeTaskNominatedEvent

          public void beforeTaskNominatedEvent(org.kie.api.task.TaskEvent event)

      Specified by:
        `beforeTaskNominatedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### beforeTaskUpdatedEvent

          public void beforeTaskUpdatedEvent(org.kie.api.task.TaskEvent event)

      Specified by:
        `beforeTaskUpdatedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### beforeTaskReassignedEvent

          public void beforeTaskReassignedEvent(org.kie.api.task.TaskEvent event)

      Specified by:
        `beforeTaskReassignedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### beforeTaskNotificationEvent

          public void beforeTaskNotificationEvent(org.kie.api.task.TaskEvent event)

      Specified by:
        `beforeTaskNotificationEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### afterTaskNotificationEvent

          public void afterTaskNotificationEvent(org.kie.api.task.TaskEvent event)

      Specified by:
        `afterTaskNotificationEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.